Update Resident: Propertyware
https://api.propexo.com/v1/residents/propertyware/:resident_id| Method |
|---|
| updateContact |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the resident
Request
This endpoint expects an object.
The first name of the resident. This value maps to the firstName property of the Contact object
The middle name of the resident. This value maps to the middleName property of the Contact object
The last name of the resident. This value maps to the lastName property of the Contact object
The primary email address for the resident. This value maps to the email property of the Contact object
The secondary email address for the resident. This value maps to the altEmail property of the Contact object
The date of birth of the resident. This value maps to the birthDate property of the Contact object.
First line of the street address for the resident. This maps to the address property of Contact object
Second line of the street address for the resident. This maps to the address2 property of the Contact object
City of the resident's address. This maps to the city property of the Contact object.
State of the resident's address. This maps to the state property of the Contact object.
Zip/Postal Code of the resident's address. This maps to the zip property of the Contact object.
Country of the resident's address. This maps to the country property of the Contact object
Primary phone number for the resident. Depending on the value of phone_1_type, this may map to the properties fax, homePhone, mobilePhone, or workPhone.
The type of the primary phone. Must be one of 'HOME', 'MOBILE', 'WORK', or 'FAX'
Show 4 enum values
HOMEMOBILEWORKFAXSecondary phone number for the resident. Depending on the value of phone_1_type, this may map to the properties fax, homePhone, mobilePhone, or workPhone.
The type of the secondary phone. Must be one of 'HOME', 'MOBILE', 'WORK', or 'FAX'
Show 4 enum values
HOMEMOBILEWORKFAXAny notes about the resident. This maps to the comments property of the Contact object
custom_data objectdeprecated
Deprecated: Field is no longer applicable
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the resident
The first name of the resident. This value maps to the firstName property of the Contact object
The middle name of the resident. This value maps to the middleName property of the Contact object
The last name of the resident. This value maps to the lastName property of the Contact object
The primary email address for the resident. This value maps to the email property of the Contact object
The secondary email address for the resident. This value maps to the altEmail property of the Contact object
The date of birth of the resident. This value maps to the birthDate property of the Contact object.
First line of the street address for the resident. This maps to the address property of Contact object
Second line of the street address for the resident. This maps to the address2 property of the Contact object
City of the resident's address. This maps to the city property of the Contact object.
State of the resident's address. This maps to the state property of the Contact object.
Zip/Postal Code of the resident's address. This maps to the zip property of the Contact object.
Country of the resident's address. This maps to the country property of the Contact object
Primary phone number for the resident. Depending on the value of phone_1_type, this may map to the properties fax, homePhone, mobilePhone, or workPhone.
The type of the primary phone. Must be one of 'HOME', 'MOBILE', 'WORK', or 'FAX'
Show 4 enum values
HOMEMOBILEWORKFAXSecondary phone number for the resident. Depending on the value of phone_1_type, this may map to the properties fax, homePhone, mobilePhone, or workPhone.
The type of the secondary phone. Must be one of 'HOME', 'MOBILE', 'WORK', or 'FAX'
Show 4 enum values
HOMEMOBILEWORKFAXAny notes about the resident. This maps to the comments property of the Contact object
custom_data objectdeprecated
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/residents/propertyware/:resident_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"email_1": "[email protected]",
"email_2": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"notes": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"resident_id": "string",
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"notes": "string"
}
}